Timer = require"Timer"

local RandomEntity = {}
function RandomEntity:new(seed)
	self.timer = Timer()
	self.speed = 150
	self.randomness = love.math.newRandomGenerator()
	self.randomness:setSeed(os.time()+seed)
	self.tween_values = {x = 0, y = 0}
	self.direction = 1
	self.directions = {{-self.speed, 0}, {-self.speed, -self.speed}, {0, -self.speed}, {self.speed, -self.speed}, {self.speed, 0}, {self.speed, self.speed}, {self.speed, 0}, {-self.speed, self.speed}}

	self.timer:every({self.randomness:random(2, 3), self.randomness:random(5, 9)}, function() self.direction = self.randomness:random(1, 8) self.timer:tween(3, self.tween_values, {x = self.directions[self.direction][1], y = self.directions[self.direction][2]}, "linear") end)
	return self
end

function love.load()
	random = RandomEntity:new(3)
	random2 = RandomEntity:new(58)

	rng1 = love.math.newRandomGenerator()

	rng1:setSeed(os.time()+55)	

	rng2 = love.math.newRandomGenerator()

	rng2:setSeed(os.time())

	timer = 0

	rngnumber1 = 1

	rngnumber2 = 1
end

function love.update(dt)
	random.timer:update(dt)
	random2.timer:update(dt)
	timer = timer + 1*dt
	if timer > 3 then
		rngnumber1 = rng1:random(1,100)
		rngnumber2 = rng2:random(1,100)
		timer = 0
	end
end

function love.draw()
	love.graphics.print("random number 1: "..rngnumber1)
	love.graphics.print("random number 2: "..rngnumber2, 0, 20)
	love.graphics.print("x random tween 1: "..random.direction.." "..random.tween_values.x, 0, 40)
	love.graphics.print("Y random tween 1: "..random.direction.." "..random.tween_values.y, 0, 60)
	love.graphics.print("x random tween 2: "..random2.direction.." "..random2.tween_values.x, 0, 80)
	love.graphics.print("Y random tween 2: "..random2.direction.." "..random2.tween_values.y, 0, 100)

end